<!DOCTYPE html>

<html>

<head>
    <meta charset="utf-8">
    <title>金幣探測器</title>
    <style>
        @import url(css/nav_style.css);

        html {
            box-sizing: border-box;
        }

        *,
        *::before,
        *::after {
            box-sizing: inherit;
        }

        body {
            padding: 20px 0;
            background-image: url('media/倉庫.jpg');
            background-size: 100%, 200%;
        }

        h1,
        h2 {
            margin: 0;
            padding: 34px 0 14px 40px;
        }

        thead {
            background: #fcc
        }

        tbody {
            background: rgb(255, 233, 204)
        }

        #userID {
            color: white;
            font-weight: bold;
        }
    </style>
    <script src="https://code.jquery.com/jquery-2.1.4.js"></script>
</head>

<body bgcolor="#d4cbba">
    <p id="userID"> 帳號: </p>

    <nav>
        <ul class="flex-nav">
            <li><a href="page1.html">
                    成本紀錄
                </a></li>
            <li><a href="page2.html">
                    銷售紀錄
                </a></li>
            <li><a href="page3.html">
                    查詢資料
                </a></li>
            <li><a href="page4.php">
                    統計圖
                </a></li>
        </ul>
    </nav>

    <table border="0" align="center">
        <tbody>
            <tr align="left">
                <td>
                    <fieldset align="center">
                        <legend><i>使用說明</i></legend>
                        <p align="left">

                            修改資料分為新增和刪除，分別對應兩個不同的按鈕:<br>
                            新增:分別填入資料(必填)，再按新增按鈕即可。&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;<br>
                            刪除:填入要刪除的"成本項目"，再按刪除按鈕即可。<br><br>
                            最後確認資料後，<br>
                            按下"存入資料庫"即可將資料存入資料庫中。<br><br>
                            補充:<br><br>
                            固定成本:每個月的固定支出，例如:房租，水電，人事等。<br><br>
                            變動成本(銷售項目成本):每個月會隨著賣出的品項增加而增加的成本項目，<br><br>
                            例如:1/12,豬肉小籠包,30,份,2000,變動成本。
                        </p>
                    </fieldset>
                </td>
            </tr>
            <tr align="left">
                <td>
                    <fieldset id="form1" align="center">
                        <legend><i>新增項目</i></legend>
                        <p align="left">
                        <p align="left">日期：<input id="date" type="text"></p>
                        <p align="left">成本項目：<input id="product" type="text"></p>
                        <p align="left">每單位價錢：<input id="price" type="text"></p>
                        <p align="left">單位：<input id="unit" type="text"></p>
                        <p align="left">數量：<input id="count" type="text"></p>
                        <p align="left">分類:</p>
                        <p align="left"><input type="radio" id="sort" name="sort" value="固定成本">固定成本</p>
                        <p align="left"><input type="radio" id="sort" name="sort" value="變動成本"> 變動成本</p>

                        <button id="add">新增</button>
                        <button id="delet">刪除</button>
                        <button id="reset">清除重填</button>
                        </p>
                        <p align="left">&emsp;&emsp;日期/成本項目/每單位價錢/單位/數量/分類</p>
                        <ul name="list" id="list" align="left"></ul><br><br>

                        <form id="store" method="post" action="page1.php" onsubmit="store()">
                            <input name="json_string" id="json_string" type="hidden"><br>
                            <input type="submit" name="store_btn" id='store' value="存入資料庫">

                        </form>

                    </fieldset>
                    </form>
                </td>
            </tr>
        </tbody>
    </table>

    <marquee behavior="alternate" width="50%" style="width: 100%;">
        <img src="media/吉祥物.png" height="250" alt="" />&nbsp;
    </marquee>

    <script language="javascript" src="javascript/show_account.js"></script>

    <script>
        var list_product = new Array();


        $('#add').click(function () {
            console.log(account);
            //var list= document.querySelector("#list");
            var date = $("#date").val();
            var product = $("#product").val();
            var price = $("#price").val();
            var unit = $("#unit").val();
            var count = $("#count").val();
            var sort = $("[name='sort']:checked").val();

            if (date == '' || product == '' || price == '' || unit == '' || count == '' || typeof sort === 'undefined') {
                alert('有資訊未輸入');
            } else {
                var con = list_product.length;
                console.log(list_product.length);
                list_product[con] = new Array();
                list_product[con][0] = date;
                list_product[con][1] = product;
                list_product[con][2] = price;
                list_product[con][3] = unit;
                list_product[con][4] = count;
                list_product[con][5] = sort;
                list_product[con][6] = account;


                console.log("con=" + con);
                //for(var i=0;i<list_product.length;i++){}
                console.log(list_product);
                updata();
            }


        });


        $('#delet').click(function delet() {

            var product = $("#product").val();
            var issuccess = false;
            console.log(list_product);
            for (var i = 0; i < list_product.length; i++) {
                if (product == list_product[i][1]) {
                    list_product.splice(i, 1);
                    issuccess = true;
                    break;
                }
                console.log(issuccess);
            }
            console.log(issuccess);

            if (issuccess == false) {
                alert("您輸入的產品沒有在清單內!");
                onsole.log(list_product);
            } else {
                alert("刪除成功!");
                updata();
            }

            updata();

        });


        function updata() {

            var list = $("#list").get(0)
            list.innerHTML = "";
            k = 0

            for (var i = 0; i < list_product.length; i++) {
                //list_product[con] =new Array();
                if (list_product[i] != "empty") {
                    if (list_product[i][0] != 0) {
                        k += 1
                        list.innerHTML += "<li style='white-space:pre;'>" + list_product[i][0] + "        /         " + list_product[i][1] + "        /        " + list_product[i][2] + "        /        " + list_product[i][3] + "        /        " + list_product[i][4] + "        /        " + list_product[i][5] + "</li>";
                    }
                }
            }
            console.log(k);
        }

        $('#store').click(function () {
            console.log(list_product);
            var json_string = JSON.stringify(list_product);
            console.log("轉換成json");
            console.log(json_string);
            var store = document.querySelector("#json_string");
            store.value = json_string;
            console.log(store.value);
        });

        $('#reset').click(function () {
            var date = $("#date").val('');
            var product = $("#product").val('');
            var price = $("#price").val('');
            var unit = $("#unit").val('');
            var count = $("#count").val('');
            var sort = $("#sort").removeAttr('checked');
        });

    </script>
</body>

</html>